Package org.h2gis.functions.io.shp.internal

# Class ShapefileException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
org.h2gis.functions.io.shp.internal.ShapefileException

All Implemented Interfaces:
  `Serializable`

public class ShapefileException extends IOException
Thrown when an error relating to the shapefile occures

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ShapefileException(String s)`
`ShapefileException(String s, Throwable cause)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ShapefileException

public ShapefileException(String s)

### ShapefileException

public ShapefileException(String s, Throwable cause)